Wednesday, November 17, 2004

Mozilla Firefox 1.0

Man,

I have installed Firefox 1.0 and lots of their plug-ins. If you want to insist with IE, it is a real dumb decision :-). FireFox comes already with many security configurations and allows many plug-ins to be installed.

http://www.mozilla.org

And the plug-ins:

http://www.mozdev.org/categories

Horrors and terrors, hay!

No comments: